Skip to main content
`Ctrl`+`K`

# 7.27. CUpti_ActivityEnvironmentSpeed

struct CUpti_ActivityEnvironmentSpeed

  Data returned for CUPTI_ACTIVITY_ENVIRONMENT_SPEED environment kind.

  Public Members

  uint32_t smClock

    The SM frequency in MHz.

  uint32_t memoryClock

    The memory frequency in MHz.

  uint32_t pcieLinkGen

    The PCIe link generation.

  uint32_t pcieLinkWidth

    The PCIe link width.

  CUpti_EnvironmentClocksThrottleReason clocksThrottleReasons

    The clocks throttle reasons.